
package org.tio.sitexxx.im.server.vo;

import cn.hutool.core.bean.BeanUtil;
import lombok.Data;

import java.util.Map;

/**
 * 提现查询 vo
 * @author xufei
 * 2020年11月2日 下午7:07:44
 */
/**
 * 
 * @author xufei
 * 2020年11月25日 上午10:52:42
 */
@Data
public class WithholdQueryVo{
	/**
	 * uid-Y
	 */
	private Integer uid;

	/**
	 * 请求id
	 */
	private String reqid;

	/**
	 * 提现id
	 */
	private Integer wid;

	/**
	 * @return
	 * @author xufei
	 * 2020年11月3日 下午4:58:24
	 */
	public Map<String, Object> toMap() {
		return BeanUtil.beanToMap(this);
	}

	/**
	 * @return
	 * @author xufei
	 * 2020年11月3日 下午4:58:23
	 */
	public static WithholdQueryVo toBean(Map<String, Object> map) {
		return BeanUtil.fillBeanWithMap(map, new WithholdQueryVo(), true);
	}
}
